﻿@font-face {
    font-family: "Heebo";
    src: url("/src/assets/fonts/Heebo/Heebo-Medium.ttf") format('truetype')
}

.choose-time {
    background-color: blue !important;
}

#scheduler {
    direction: ltr !important;
}

#scheduler .k-scheduler-toolbar .k-toolbar-button-group span.k-icon.k-i-caret-alt-left.k-button-icon {
    background-image: none;
}

#scheduler .k-scheduler-toolbar .k-toolbar-button-group span.k-icon.k-i-caret-alt-right.k-button-icon {
    background-image: none;
}

.k-animation-container .k-scheduler-calendar .k-calendar-nav-prev span.k-icon.k-i-caret-alt-left.k-button-icon {
    background-image: none;
}

.k-animation-container .k-scheduler-calendar .k-calendar-nav-next span.k-icon.k-i-caret-alt-right.k-button-icon {
    background-image: none;
}

.k-calendar th {
    padding: .4em .1em .4em .1em !important;
    text-align: center !important;
}

#scheduler span.k-icon.k-i-arrow-rotate-cw.k-button-icon {
    background-image: none;
}

html[dir="rtl"]
#scheduler .k-scheduler-toolbar .k-toolbar-button-group .k-nav-prev {
    order: 2;
}

.save-btn-wrapper {
    background: #e6ded9;
    height: 70px;
    position: sticky;
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
    bottom: 0;
    right: 0;
    left: 0;
}

#btnSaveMetting {
    background-color: #28a745;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    border-radius: 13px;
    color: white;
    font-size: 20px;
    font-weight: bold;
    margin: 0;
}


.k-event {
    background-color: #def6ff;
}

.k-resize-handle {
    display: none;
}

.k-nonwork-hour {
    background-color: lightgray !important;
}

/*#btnSaveMetting:disabled,
#btnSaveMetting[disabled] {
    border: 1px solid #999999;
    background-color: #cccccc;
    color: #666666;
    cursor: not-allowed;
}*/

/*.k-scheduler-delete {
    display: none;
}*/

.k-event-actions {
    display: none;
}

.k-resize-handle {
    display: none;
}

.tooltip-modal {
    display: none;
    position: absolute;
    z-index: 9999;
    background-color: #fff;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
}


.modal {
    display: none;
    position: fixed;
    z-index: 3;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
}


.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
}




.modal-buttons {
    display: flex;
    justify-content: flex-end;
}

button {
    margin-left: 10px;
}

.title {
    font-size: 40px;
    font-weight: bold;
    font-family: inherit;
}

.container-br {
    padding: 30px 30px 70px 30px;
    background-color: #f7f0eb;
}



.instructions {
    /*display: flex;
    justify-content: space-evenly;*/
    margin-top: 40px;
    font-family: Heebo;
}

.sub-title-br {
    font-size: 24px;
}

.sub-title-label {
    margin-bottom: 0px;
    font-size: 13px;
}

.list {
    padding-inline-start: 20px;
}

.link-conditions {
    color: cornflowerblue;
    text-decoration: underline;
}

.link-br {
    color: cornflowerblue !important;
    text-decoration: underline !important;
}

    .link-br:hover {
        color: #0056b3 !important;
    }



.icon-emphasis::before {
    vertical-align: middle;
    display: inline-block;
    height: 56px;
    width: 55px;
    content: "";
    background: url(/src/assets/images/icons/bookingRooms/icon7.png) no-repeat 0 0;
    background-size: 80px 56px;
}

.icon-instructions::before {
    vertical-align: middle;
    display: inline-block;
    height: 56px;
    width: 60px;
    content: "";
    background: url(/src/assets/images/icons/bookingRooms/icon8.png) no-repeat 0 0;
    background-size: 80px 56px;
}

.filters {
    display: flex;
    margin-bottom: 30px;
    margin-top: 50px;
    border: 1px solid;
    padding: 10px;
    flex-basis: content;
    background-color: white;
    border-radius: 8px;
    box-shadow: 0px 0px 7px 1px #888888;
}

    .filters > div {
        margin-left: 15px;
    }

.reset-filter {
    height: 100%;
    font-size: 13px;
    margin-right: 10px;
    font-weight: bold;
    color: deepskyblue;
}

.schedular-area {
    display: flex;
    position: relative;
}

.k-scheduler {
    border-width: 0px !important;
}

.k-scheduler-footer {
    display: none;
}

.k-i-caret-alt-down::before {
    content: "" !important;
    background: url(/src/assets/images/icons/bookingRooms/icon6.png) no-repeat 0 0;
    display: inline-block;
    height: 56px;
    width: 60px;
    content: "";
    background-size: 80px 56px;
}


.legend .legend-scale {
    height: 100%;
    /*    height: calc(100% + 92px);*/
}

    .legend .legend-scale ul {
        margin: 0;
        margin-bottom: 5px;
        padding: 0;
        float: left;
        list-style: none;
        width: 100%;
    }

        .legend .legend-scale ul li {
            /*font-size: 80%;*/
            list-style: none;
            margin-left: 0;
            line-height: 18px;
            margin-bottom: 2px;
            display: flex;
        }

.legend ul.legend-labels li span {
    height: 100%;
    text-align: center;
    font-size: 1em;
    height: 45px;
    width: 90%;
    border: 1px solid #999;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 10px;
}

@media only screen and (max-width: 992px) {
    .legend .legend-scale ul {
        display: flex;
        width: 100%;
    }

    .legend {
        padding-right: 0px;
    }

        .legend .legend-scale ul li {
            width: 20%;
        }

    .modal-content {
        width: 80% !important;
    }
}

@media only screen and (max-width: 600px) {
    .legend .legend-scale ul {
        justify-content: space-between;
    }

    .legend ul.legend-labels li span {
        font-size: 1.2em;
    }
}

@media only screen and (max-width: 500px) {
    .filters {
        display: block;
        flex-basis: auto;
    }

        .filters > div {
            margin-bottom: 15px;
        }

    .reset-filter {
        float: left;
    }
}


.loader {
    position: fixed;
    top: 50%;
    left: 50%;
    display: none;
}



.text-center {
    width: 100%;
    position: relative;
    height: 100%;
}

.spinner-border {
    display: block;
    position: fixed;
    top: calc(50% - (58px / 2));
    right: calc(50% - (58px / 2));
    color: mediumblue;
}

#backdrop-loader {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 999;
    background-color: rgb(0,0,0,0.2);
    display: none;
}


.modal.rooms .modal-content {
    width: 20%;
}

.select-all-btn-container {
    display: flex;
    justify-content: flex-end; /* יישור הכפתור לימין התא */
    align-items: center;
}

.k-scheduler-groupcell .k-scheduler-group-label {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.select-all-btn {
    /* עיצוב הכפתור כאן, לדוגמה */
    background-color: blue;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 3px;
}

/* ודא שהתווית של החדר והכפתור מוצבים היטב */
.k-scheduler-group-cell > div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}
